Create a Target configuration for tenant.
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/configurations/target-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"serviceName": "order-service",
"processName": "order-create",
"targetService": [
{
"serviceName": "NOTIFICATION_SERVICE",
"serviceAttributes": {}
}
]
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/configurations/target-config"
payload = {
"serviceName": "order-service",
"processName": "order-create",
"targetService": [
{
"serviceName": "NOTIFICATION_SERVICE",
"serviceAttributes": {}
}
]
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
serviceName: 'order-service',
processName: 'order-create',
targetService: [{serviceName: 'NOTIFICATION_SERVICE', serviceAttributes: {}}]
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/configurations/target-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"serviceName": "order-service",
"processName": "order-create",
"tenantId": "asferf3r4safasdcd",
"targetService": [
{
"serviceName": "NOTIFICATION_SERVICE",
"serviceAttributes": {}
}
]
}{
"message": "Bad Request"
}{
"message": "Target Config not Found"
}{
"message": "Target Config already exists."
}{
"message": "Internal Server Error"
}Target Configuration
Create a Target configuration for tenant.
Create Target configuration for the given tenantId
POST
/
configurations
/
target-config
Create a Target configuration for tenant.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
application/json
Was this page helpful?
⌘I
